NAME(SECTION)

NAME
bb - The aalib demo

SYNOPSIS
bb [options]

DESCRIPTION
The bb, command show an high quality audio-visual demonstration for your text terminal

OPTIONS
A summary of options are included below. For a complete description type bb -help.

-help
    Show summary of options.

-loop
    play demo in infinite loop

-driver
    select driver available drivers:linux slang X11 stdout stderr

-kbddriver
    select keyboard driver available drivers:slang X11 stdin

-mousedriver
    select mouse driver available drivers:X11 gpm dos

-width
    set width

-height
    set height

-minwidth
    set minimal width

-minheight
    set minimal height

-maxwidth
    set maximal width

-maxheight
    set maximal height

-recwidth
    set recomended width

-recheight
    set recomended height

-dim
    enable usage of dim (half bright) attribute

-bold
    enable usage of bold (double bright) attribute

-reverse
    enable usage of reverse attribute

-normal
    enable usage of normal attribute

-boldfont
    enable usage of boldfont attrubute

-no<attr>
    disable (i.e -nobold)

-extended
    use all 256 characters

-eight
    use eight bit ascii

-font <font>
    select font(This option have effect just on hardwares where aalib is unable to determine current font available fonts:vga8 vga9 mda14 vga14 X8x13 X8x16 X8x13bold vgagl8 line

-inverse
    enable inverse rendering

-noinverse
    disable inverse rendering

-bright <val>
    set bright (0-255)

-contrast <val>
    set contrast (0-255)

-gamma <val>
    set gamma correction value(0-1)

-nodither
    disable dithering

-floyd_steinberg
    floyd steinberg dithering

-error_distribution
    error distribution dithering

-random <val>
    set random dithering value(0-inf)

-dimmul <val>
    multiply factor for dim color (5.3)

-boldmul <val>
    multiply factor for dim color (2.7)

SEE ALSO
See the files in /usr/doc/aalib*

AUTHOR
This manual page was written by Michael Bramer <grisu@debian.org>, for the Debian GNU/Linux system (but may be used by others).